Subject: Re: [PATCH v3 0/4] t: new helper test_line_count_cmd

From: Junio C Hamano <[email-masked]>
Date: Sat, 19 Jun 2021 15:50:17 +0900

Eric Sunshine <[email-masked]> writes:

> Indeed, I have no problem seeing this as a new mode of
> test_line_count() triggered by an option. In fact, I suggested exactly
> that[1] when this idea first arose (except I named the option `-c`
> rather than `-e`, but the latter is fine). However, my suggestion was
> pretty much shot down[2] (and I don't entirely disagree with [2],
> which is why I didn't pursue the idea in [1]).

;-)  

Yeah, I still am skeptical that we'd gain much by hiding the
redirection to >actual behind the helper, so as I said in response
to the v2 series, I am fine without this new helper or an enhanced
test_line_count, but go with more use of test_must_be_empty etc.